package com.junmp.jyzb.api.bean.Validator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;


@Documented
@Constraint(validatedBy = IsNumberValidator.class)
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.ANNOTATION_TYPE, ElementType.CONSTRUCTOR, ElementType.PARAMETER, ElementType.TYPE_USE})
@Retention(RetentionPolicy.RUNTIME)
public @interface IsDateTime {
    String message() default "日期格式不正确";

    String format() default "yyyy-MM-dd"; // 默认日期格式

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}

